import database.DatabaseFactory
import database.dao.SampleObjects
import di.databasemodule
import mq.ConsumerWrapper
import org.jetbrains.exposed.sql.SchemaUtils
import org.jetbrains.exposed.sql.transactions.transaction
import org.koin.core.context.GlobalContext.startKoin

fun main(vararg args: String) {

    startKoin {
        printLogger()
        modules(databasemodule)
    }

    DatabaseFactory.init()
    transaction{
        SchemaUtils.create(SampleObjects)
    }

    val consumerWrapper = ConsumerWrapper();
    consumerWrapper.recieve();
}