package mq

import com.rabbitmq.client.BuiltinExchangeType
import com.rabbitmq.client.ConnectionFactory
import config.EnvConfig

class ConsumerWrapper {
    private val envConfig = EnvConfig()

    fun recieve(){
        val factory = ConnectionFactory()
        factory.host = envConfig.mqHost
        factory.username = envConfig.mqUserName
        factory.password = envConfig.mqPassWord

        val inputConnection = factory.newConnection()
        val inputChannel = inputConnection.createChannel()

        inputChannel.exchangeDeclare(envConfig.mqExchange, BuiltinExchangeType.FANOUT)
        val inputQueueName = inputChannel.queueDeclare().queue
        inputChannel.queueBind(inputQueueName, envConfig.mqExchange, "")

        inputChannel.basicConsume(inputQueueName, false, DatabaseConsumer(inputChannel))
    }
}